%define version 0.4.2
%define rel	2
%define release %mkrel %rel

Summary:	Monopoly-like game client
Name:		gtkatlantic
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Strategy
URL:		http://gtkatlantic.gradator.net/
Source:		http://gtkatlantic.gradator.net/downloads/v0.4/%{name}-%{version}.tar.bz2
BuildRequires:	gtk+2-devel
BuildRequires:	png-devel
BuildRequires:	libxml2-devel

%description
monopd is a dedicated game server daemon for playing Monopoly-like board
games. Clients connect to the server and communicate using short commands
and XML messages.

%prep
%setup -q

%build
%configure2_5x \
	--bindir=%{_gamesbindir} \
	--datadir=%{_gamesdatadir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_gamesbindir}/%{name} 
Icon=strategy_section 
Comment=Play Monopoly 
Categories=BoardGame; 
Name=GtkAtlantic
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.4.2-2mdv2008.1
+ Revision: 131704
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- import gtkatlantic


* Sun Mar 19 2006 Guillaume Bedot <littletux@zarb.org> 0.4.2-2mdk
- fix buildrequires to use gtk2

* Sun Mar 19 2006 Guillaume Bedot <littletux@zarb.org> 0.4.2-1mdk
- 0.4.2
- fix source URL
- mkrel

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.3.3-2mdk
- Fix BuildRequires

* Mon Jun 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-1mdk
- 0.3.3

* Wed Jun 09 2004 Abel Cheung <deaddog@deaddog.org> 0.3.2-1mdk
- First Mandrake package
